Initialize a due diligence case
curl --request POST \
--url https://api.sandbox.svrn.digital/due-diligence/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artist": {
"customer_id": "11111111-1111-1111-1111-111111111111"
},
"label": {
"customer_id": "22222222-2222-2222-2222-222222222222"
},
"isrcs": [
{
"isrc": "USRC17607839",
"artist_split_percentage": "65.25",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}
'import requests
url = "https://api.sandbox.svrn.digital/due-diligence/init"
payload = {
"artist": { "customer_id": "11111111-1111-1111-1111-111111111111" },
"label": { "customer_id": "22222222-2222-2222-2222-222222222222" },
"isrcs": [
{
"isrc": "USRC17607839",
"artist_split_percentage": "65.25",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artist: {customer_id: '11111111-1111-1111-1111-111111111111'},
label: {customer_id: '22222222-2222-2222-2222-222222222222'},
isrcs: [
{
isrc: 'USRC17607839',
artist_split_percentage: '65.25',
dsp_statements: [{channel: 'spotify', format: 'csv'}]
}
]
})
};
fetch('https://api.sandbox.svrn.digital/due-diligence/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.svrn.digital/due-diligence/init",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artist' => [
'customer_id' => '11111111-1111-1111-1111-111111111111'
],
'label' => [
'customer_id' => '22222222-2222-2222-2222-222222222222'
],
'isrcs' => [
[
'isrc' => 'USRC17607839',
'artist_split_percentage' => '65.25',
'dsp_statements' => [
[
'channel' => 'spotify',
'format' => 'csv'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.svrn.digital/due-diligence/init"
payload := strings.NewReader("{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.svrn.digital/due-diligence/init")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.svrn.digital/due-diligence/init")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"due_diligence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING_UPLOADS",
"contracts_preview": [
{
"isrc": "<string>",
"artist_split_percentage": "<string>",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}Due Diligence
Initialize a due diligence case
This endpoint opens the case and returns a due_diligence_id. Presigned upload URLs are requested in a second step via POST /due-diligence//uploads.
POST
/
due-diligence
/
init
Initialize a due diligence case
curl --request POST \
--url https://api.sandbox.svrn.digital/due-diligence/init \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artist": {
"customer_id": "11111111-1111-1111-1111-111111111111"
},
"label": {
"customer_id": "22222222-2222-2222-2222-222222222222"
},
"isrcs": [
{
"isrc": "USRC17607839",
"artist_split_percentage": "65.25",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}
'import requests
url = "https://api.sandbox.svrn.digital/due-diligence/init"
payload = {
"artist": { "customer_id": "11111111-1111-1111-1111-111111111111" },
"label": { "customer_id": "22222222-2222-2222-2222-222222222222" },
"isrcs": [
{
"isrc": "USRC17607839",
"artist_split_percentage": "65.25",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artist: {customer_id: '11111111-1111-1111-1111-111111111111'},
label: {customer_id: '22222222-2222-2222-2222-222222222222'},
isrcs: [
{
isrc: 'USRC17607839',
artist_split_percentage: '65.25',
dsp_statements: [{channel: 'spotify', format: 'csv'}]
}
]
})
};
fetch('https://api.sandbox.svrn.digital/due-diligence/init', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.svrn.digital/due-diligence/init",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'artist' => [
'customer_id' => '11111111-1111-1111-1111-111111111111'
],
'label' => [
'customer_id' => '22222222-2222-2222-2222-222222222222'
],
'isrcs' => [
[
'isrc' => 'USRC17607839',
'artist_split_percentage' => '65.25',
'dsp_statements' => [
[
'channel' => 'spotify',
'format' => 'csv'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.svrn.digital/due-diligence/init"
payload := strings.NewReader("{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.svrn.digital/due-diligence/init")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.svrn.digital/due-diligence/init")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"artist\": {\n \"customer_id\": \"11111111-1111-1111-1111-111111111111\"\n },\n \"label\": {\n \"customer_id\": \"22222222-2222-2222-2222-222222222222\"\n },\n \"isrcs\": [\n {\n \"isrc\": \"USRC17607839\",\n \"artist_split_percentage\": \"65.25\",\n \"dsp_statements\": [\n {\n \"channel\": \"spotify\",\n \"format\": \"csv\"\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"due_diligence_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING_UPLOADS",
"contracts_preview": [
{
"isrc": "<string>",
"artist_split_percentage": "<string>",
"dsp_statements": [
{
"channel": "spotify",
"format": "csv"
}
]
}
]
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}{
"error": "MISSING_FIELD",
"message": "artist.customer_id is required"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json